#!/bin/bash


sources=( "Mrk 421" "Mkn 421" "1959" "V404" "0323" "Crab" "CRAB" "Mrk 501" "Mkn 501" )

dates=(`date +"%Y-%m-%d" --date="-12hour"` `date +%Y-%m-%d --date="+12hour"`)

date2=`echo ${dates[0]} | sed -e 's/-/\//g'`
schedulepath=/home/factwww/scheduling/$date2
schedulefile=$schedulepath/swift.schedule
schedulefile2=$schedulepath/swift.schedule.formated
schedulefile3=$schedulepath/swift.schedule.txt

# Get Swift Data
echo "" > $schedulefile

#echo "Downloading the schedule for..."
for date in ${dates[@]}
do 
   #echo "    "$date"..."
   lynx -width 200 -nolist -dump https://www.swift.psu.edu/operations/obsSchedule.php?d=$date | grep $date >> $schedulefile
done

cat $schedulefile | sed -r -e 's/[0-9]{5}\ \ \ [0-9]{1,3}\ \ \ //' | grep -o -E '^\ \ \ \ 20[1-9][0-9]-[01][0-9]-[0-3][0-9]\ [0-9][0-9]:[0-9][0-9]:[0-9][0-9]\ \ \ 20[1-9][0-9]-[01][0-9]-[0-3][0-9]\ [0-9][0-9]:[0-9][0-9]:[0-9][0-9]\ \ \ [A-Z1-4]([A-Za-z0-9][\ \.\+\-]?){3,20}' > $schedulefile2

#echo ""
echo -n "Searched the schedule for the following source names: " >$schedulefile3
for (( i=0; i<${#sources[@]}; i++ ))
do
   echo -n ${sources[$i]} >>$schedulefile3
   i2=`echo " $i + 1" | bc -l`
   if [ $i2 -lt ${#sources[@]} ]
   then
      echo -n ", " >>$schedulefile3
   else
      echo "" >>$schedulefile3
   fi
done
for (( i=0; i<${#sources[@]}; i++ ))
do
   grep "${sources[$i]}" $schedulefile2 >>$schedulefile3
done

echo -e "\nThe full schedule can be found <a href='../scheduling/"$date2"/"`basename $schedulefile2`"'>here</a>\n" >>$schedulefile3

